Skip to main content
POST
/
custom-rss-feeds
cURL
curl -X POST "https://app.cotool.ai/custom-rss-feeds" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","feedUrl":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "feedUrl": "<string>",
  "organizationId": "<string>",
  "createdBy": "<string>",
  "enabled": true,
  "scheduleCron": "<string>",
  "maxEntries": 123,
  "lastFetchedAt": "<string>",
  "lastStatus": "<string>",
  "lastError": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Body

application/json
name
string
required
Required string length: 1 - 200
feedUrl
string<uri>
required

Response

200 - application/json

Successful response

id
string
required
name
string
required
displayName
string
required
feedUrl
string
required
organizationId
string
required
createdBy
string | null
required
enabled
boolean
required
scheduleCron
string
required
maxEntries
number
required
lastFetchedAt
string | null
required
lastStatus
string | null
required
lastError
string | null
required
createdAt
string
required
updatedAt
string
required